#ifndef NEOFX_TYPES_H
#define NEOFX_TYPES_H

#pragma pack(push, 2)
typedef union _MATRIX {
	float m[4][4];
	float f[16];
} MATRIX;

typedef struct _VECTOR_VERTEX {
	float x, y, z;
} VECTOR, VERTEX;

typedef struct _TEXCOORDS {
	float s, t;
} TEXCOORDS;

typedef struct _TRIANGLE {
	VERTEX vertices[3];
	VECTOR normal;
} TRIANGLE;
#pragma pack(pop)

#endif
